diff --git a/libRTI/ieee1516-2010/RTIambassadorImplementation.cpp b/libRTI/ieee1516-2010/RTIambassadorImplementation.cpp
index c040d6e7..e8e68e5a 100644
--- a/libRTI/ieee1516-2010/RTIambassadorImplementation.cpp
+++ b/libRTI/ieee1516-2010/RTIambassadorImplementation.cpp
@@ -1678,17 +1243,7 @@ void RTI1516ambassador::timeAdvanceRequest(rti1516e::LogicalTime const& theTime)
 }
 
 // 8.9
-void RTI1516ambassador::timeAdvanceRequestAvailable(rti1516e::LogicalTime const& theTime) throw(
-    rti1516e::InvalidLogicalTime,
-    rti1516e::LogicalTimeAlreadyPassed,
-    rti1516e::InTimeAdvancingState,
-    rti1516e::RequestForTimeRegulationPending,
-    rti1516e::RequestForTimeConstrainedPending,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::timeAdvanceRequestAvailable(rti1516e::LogicalTime const& theTime)
 {
     M_Time_Advance_Request_Available req, rep;
 
@@ -1699,17 +1254,7 @@ void RTI1516ambassador::timeAdvanceRequestAvailable(rti1516e::LogicalTime const&
 }
 
 // 8.10
-void RTI1516ambassador::nextMessageRequest(rti1516e::LogicalTime const& theTime) throw(
-    rti1516e::InvalidLogicalTime,
-    rti1516e::LogicalTimeAlreadyPassed,
-    rti1516e::InTimeAdvancingState,
-    rti1516e::RequestForTimeRegulationPending,
-    rti1516e::RequestForTimeConstrainedPending,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::nextMessageRequest(rti1516e::LogicalTime const& theTime)
 {
     M_Next_Event_Request req, rep;
 
@@ -1720,17 +1265,7 @@ void RTI1516ambassador::nextMessageRequest(rti1516e::LogicalTime const& theTime)
 }
 
 // 8.11
-void RTI1516ambassador::nextMessageRequestAvailable(rti1516e::LogicalTime const& theTime) throw(
-    rti1516e::InvalidLogicalTime,
-    rti1516e::LogicalTimeAlreadyPassed,
-    rti1516e::InTimeAdvancingState,
-    rti1516e::RequestForTimeRegulationPending,
-    rti1516e::RequestForTimeConstrainedPending,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::nextMessageRequestAvailable(rti1516e::LogicalTime const& theTime)
 {
     M_Next_Event_Request_Available req, rep;
 
@@ -1741,17 +1276,7 @@ void RTI1516ambassador::nextMessageRequestAvailable(rti1516e::LogicalTime const&
 }
 
 // 8.12
-void RTI1516ambassador::flushQueueRequest(rti1516e::LogicalTime const& theTime) throw(
-    rti1516e::InvalidLogicalTime,
-    rti1516e::LogicalTimeAlreadyPassed,
-    rti1516e::InTimeAdvancingState,
-    rti1516e::RequestForTimeRegulationPending,
-    rti1516e::RequestForTimeConstrainedPending,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::flushQueueRequest(rti1516e::LogicalTime const& theTime)
 {
     // JvY: Implementation copied from previous CERTI implementation, including immediate throw.
     throw rti1516e::RTIinternalError(L"Unimplemented Service flushQueueRequest");
@@ -1764,12 +1289,7 @@ void RTI1516ambassador::flushQueueRequest(rti1516e::LogicalTime const& theTime)
 }
 
 // 8.14
-void RTI1516ambassador::enableAsynchronousDelivery() throw(rti1516e::AsynchronousDeliveryAlreadyEnabled,
-                                                           rti1516e::FederateNotExecutionMember,
-                                                           rti1516e::SaveInProgress,
-                                                           rti1516e::RestoreInProgress,
-                                                           rti1516e::NotConnected,
-                                                           rti1516e::RTIinternalError)
+void RTI1516ambassador::enableAsynchronousDelivery()
 {
     // throw AsynchronousDeliveryAlreadyEnabled("Default value (non HLA)");
 
@@ -1779,12 +1299,7 @@ void RTI1516ambassador::enableAsynchronousDelivery() throw(rti1516e::Asynchronou
 }
 
 // 8.15
-void RTI1516ambassador::disableAsynchronousDelivery() throw(rti1516e::AsynchronousDeliveryAlreadyDisabled,
-                                                            rti1516e::FederateNotExecutionMember,
-                                                            rti1516e::SaveInProgress,
-                                                            rti1516e::RestoreInProgress,
-                                                            rti1516e::NotConnected,
-                                                            rti1516e::RTIinternalError)
+void RTI1516ambassador::disableAsynchronousDelivery()
 {
     M_Disable_Asynchronous_Delivery req, rep;
 
@@ -1792,11 +1307,7 @@ void RTI1516ambassador::disableAsynchronousDelivery() throw(rti1516e::Asynchrono
 }
 
 // 8.16
-bool RTI1516ambassador::queryGALT(rti1516e::LogicalTime& theTime) throw(rti1516e::FederateNotExecutionMember,
-                                                                        rti1516e::SaveInProgress,
-                                                                        rti1516e::RestoreInProgress,
-                                                                        rti1516e::NotConnected,
-                                                                        rti1516e::RTIinternalError)
+bool RTI1516ambassador::queryGALT(rti1516e::LogicalTime& theTime)
 {
     //TODO JRE: goed testen! Is GALT wel precies het zelfde als LBTS?
     M_Query_Lbts req, rep;
@@ -1816,11 +1327,7 @@ bool RTI1516ambassador::queryGALT(rti1516e::LogicalTime& theTime) throw(rti1516e
 }
 
 // 8.17
-void RTI1516ambassador::queryLogicalTime(rti1516e::LogicalTime& theTime) throw(rti1516e::FederateNotExecutionMember,
-                                                                               rti1516e::SaveInProgress,
-                                                                               rti1516e::RestoreInProgress,
-                                                                               rti1516e::NotConnected,
-                                                                               rti1516e::RTIinternalError)
+void RTI1516ambassador::queryLogicalTime(rti1516e::LogicalTime& theTime)
 {
     M_Query_Federate_Time req, rep;
 
@@ -1831,11 +1338,7 @@ void RTI1516ambassador::queryLogicalTime(rti1516e::LogicalTime& theTime) throw(r
 }
 
 // 8.18
-bool RTI1516ambassador::queryLITS(rti1516e::LogicalTime& theTime) throw(rti1516e::FederateNotExecutionMember,
-                                                                        rti1516e::SaveInProgress,
-                                                                        rti1516e::RestoreInProgress,
-                                                                        rti1516e::NotConnected,
-                                                                        rti1516e::RTIinternalError)
+bool RTI1516ambassador::queryLITS(rti1516e::LogicalTime& theTime)
 {
     //TODO JRE: goed testen! Is LITS wel precies het zelfde als QueryMinNextEventTime?
     M_Query_Min_Next_Event_Time req, rep;
@@ -1854,43 +1357,21 @@ bool RTI1516ambassador::queryLITS(rti1516e::LogicalTime& theTime) throw(rti1516e
 }
 
 // 8.19
-void RTI1516ambassador::modifyLookahead(rti1516e::LogicalTimeInterval const& /*theLookahead*/) throw(
-    rti1516e::TimeRegulationIsNotEnabled,
-    rti1516e::InvalidLookahead,
-    rti1516e::InTimeAdvancingState,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::modifyLookahead(rti1516e::LogicalTimeInterval const& /*theLookahead*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"Not yet implemented");
 }
 
 // 8.20
-void RTI1516ambassador::queryLookahead(rti1516e::LogicalTimeInterval& /*interval*/) throw(
-    rti1516e::TimeRegulationIsNotEnabled,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::queryLookahead(rti1516e::LogicalTimeInterval& /*interval*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"Not yet implemented");
 }
 
 // 8.21
-void RTI1516ambassador::retract(rti1516e::MessageRetractionHandle theHandle) throw(
-    rti1516e::InvalidMessageRetractionHandle,
-    rti1516e::TimeRegulationIsNotEnabled,
-    rti1516e::MessageCanNoLongerBeRetracted,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::retract(rti1516e::MessageRetractionHandle theHandle)
 {
     throw rti1516e::RTIinternalError(L"Unimplemented Service retract");
     M_Retract req, rep;
@@ -1905,14 +1386,7 @@ void RTI1516ambassador::retract(rti1516e::MessageRetractionHandle theHandle) thr
 void RTI1516ambassador::changeAttributeOrderType(
     rti1516e::ObjectInstanceHandle theObject,
     rti1516e::AttributeHandleSet const& theAttributes,
-    rti1516e::OrderType theType) throw(rti1516e::ObjectInstanceNotKnown,
-                                       rti1516e::AttributeNotDefined,
-                                       rti1516e::AttributeNotOwned,
-                                       rti1516e::FederateNotExecutionMember,
-                                       rti1516e::SaveInProgress,
-                                       rti1516e::RestoreInProgress,
-                                       rti1516e::NotConnected,
-                                       rti1516e::RTIinternalError)
+    rti1516e::OrderType theType)
 {
     M_Change_Attribute_Order_Type req, rep;
 
@@ -1925,13 +1399,7 @@ void RTI1516ambassador::changeAttributeOrderType(
 // 8.24
 void RTI1516ambassador::changeInteractionOrderType(
     rti1516e::InteractionClassHandle theClass,
-    rti1516e::OrderType theType) throw(rti1516e::InteractionClassNotDefined,
-                                       rti1516e::InteractionClassNotPublished,
-                                       rti1516e::FederateNotExecutionMember,
-                                       rti1516e::SaveInProgress,
-                                       rti1516e::RestoreInProgress,
-                                       rti1516e::NotConnected,
-                                       rti1516e::RTIinternalError)
+    rti1516e::OrderType theType)
 {
     M_Change_Interaction_Order_Type req, rep;
 
@@ -1946,42 +1414,21 @@ void RTI1516ambassador::changeInteractionOrderType(
 //////////////////////////////////
 
 // 9.2
-rti1516e::RegionHandle RTI1516ambassador::createRegion(rti1516e::DimensionHandleSet const& /*theDimensions*/) throw(
-    rti1516e::InvalidDimensionHandle,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+rti1516e::RegionHandle RTI1516ambassador::createRegion(rti1516e::DimensionHandleSet const& /*theDimensions*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"Not yet implemented");
 }
 
 // 9.3
-void RTI1516ambassador::commitRegionModifications(rti1516e::RegionHandleSet const& /*theRegionHandleSet*/) throw(
-    rti1516e::InvalidRegion,
-    rti1516e::RegionNotCreatedByThisFederate,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::commitRegionModifications(rti1516e::RegionHandleSet const& /*theRegionHandleSet*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"Not yet implemented");
 }
 
 // 9.4
-void RTI1516ambassador::deleteRegion(rti1516e::RegionHandle const& /*theRegion*/) throw(
-    rti1516e::RegionInUseForUpdateOrSubscription,
-    rti1516e::RegionNotCreatedByThisFederate,
-    rti1516e::InvalidRegion,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::deleteRegion(rti1516e::RegionHandle const& /*theRegion*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"Not yet implemented");
@@ -1990,18 +1437,7 @@ void RTI1516ambassador::deleteRegion(rti1516e::RegionHandle const& /*theRegion*/
 // 9.5
 rti1516e::ObjectInstanceHandle RTI1516ambassador::registerObjectInstanceWithRegions(
     rti1516e::ObjectClassHandle /*theClass*/, rti1516e::AttributeHandleSetRegionHandleSetPairVector const&
-    /*theAttributeHandleSetRegionHandleSetPairVector*/) throw(rti1516e::ObjectClassNotDefined,
-                                                              rti1516e::ObjectClassNotPublished,
-                                                              rti1516e::AttributeNotDefined,
-                                                              rti1516e::AttributeNotPublished,
-                                                              rti1516e::InvalidRegion,
-                                                              rti1516e::RegionNotCreatedByThisFederate,
-                                                              rti1516e::InvalidRegionContext,
-                                                              rti1516e::FederateNotExecutionMember,
-                                                              rti1516e::SaveInProgress,
-                                                              rti1516e::RestoreInProgress,
-                                                              rti1516e::NotConnected,
-                                                              rti1516e::RTIinternalError)
+    /*theAttributeHandleSetRegionHandleSetPairVector*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"Not yet implemented");
@@ -2011,20 +1447,7 @@ rti1516e::ObjectInstanceHandle RTI1516ambassador::registerObjectInstanceWithRegi
     rti1516e::ObjectClassHandle /*theClass*/,
     rti1516e::AttributeHandleSetRegionHandleSetPairVector const&
     /*theAttributeHandleSetRegionHandleSetPairVector*/,
-    std::wstring const& /*theObjectInstanceName*/) throw(rti1516e::ObjectClassNotDefined,
-                                                         rti1516e::ObjectClassNotPublished,
-                                                         rti1516e::AttributeNotDefined,
-                                                         rti1516e::AttributeNotPublished,
-                                                         rti1516e::InvalidRegion,
-                                                         rti1516e::RegionNotCreatedByThisFederate,
-                                                         rti1516e::InvalidRegionContext,
-                                                         rti1516e::ObjectInstanceNameNotReserved,
-                                                         rti1516e::ObjectInstanceNameInUse,
-                                                         rti1516e::FederateNotExecutionMember,
-                                                         rti1516e::SaveInProgress,
-                                                         rti1516e::RestoreInProgress,
-                                                         rti1516e::NotConnected,
-                                                         rti1516e::RTIinternalError)
+    std::wstring const& /*theObjectInstanceName*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"Not yet implemented");
@@ -2033,16 +1456,7 @@ rti1516e::ObjectInstanceHandle RTI1516ambassador::registerObjectInstanceWithRegi
 // 9.6
 void RTI1516ambassador::associateRegionsForUpdates(
     rti1516e::ObjectInstanceHandle /*theObject*/, rti1516e::AttributeHandleSetRegionHandleSetPairVector const&
-    /*theAttributeHandleSetRegionHandleSetPairVector*/) throw(rti1516e::ObjectInstanceNotKnown,
-                                                              rti1516e::AttributeNotDefined,
-                                                              rti1516e::InvalidRegion,
-                                                              rti1516e::RegionNotCreatedByThisFederate,
-                                                              rti1516e::InvalidRegionContext,
-                                                              rti1516e::FederateNotExecutionMember,
-                                                              rti1516e::SaveInProgress,
-                                                              rti1516e::RestoreInProgress,
-                                                              rti1516e::NotConnected,
-                                                              rti1516e::RTIinternalError)
+    /*theAttributeHandleSetRegionHandleSetPairVector*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"Not yet implemented");
@@ -2051,15 +1465,7 @@ void RTI1516ambassador::associateRegionsForUpdates(
 // 9.7
 void RTI1516ambassador::unassociateRegionsForUpdates(
     rti1516e::ObjectInstanceHandle /*theObject*/, rti1516e::AttributeHandleSetRegionHandleSetPairVector const&
-    /*theAttributeHandleSetRegionHandleSetPairVector*/) throw(rti1516e::ObjectInstanceNotKnown,
-                                                              rti1516e::AttributeNotDefined,
-                                                              rti1516e::InvalidRegion,
-                                                              rti1516e::RegionNotCreatedByThisFederate,
-                                                              rti1516e::FederateNotExecutionMember,
-                                                              rti1516e::SaveInProgress,
-                                                              rti1516e::RestoreInProgress,
-                                                              rti1516e::NotConnected,
-                                                              rti1516e::RTIinternalError)
+    /*theAttributeHandleSetRegionHandleSetPairVector*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"Not yet implemented");
@@ -2071,16 +1477,7 @@ void RTI1516ambassador::subscribeObjectClassAttributesWithRegions(
     rti1516e::AttributeHandleSetRegionHandleSetPairVector const&
     /*theAttributeHandleSetRegionHandleSetPairVector*/,
     bool /*active*/,
-    std::wstring const& /*updateRateDesignator*/) throw(rti1516e::ObjectClassNotDefined,
-                                                        rti1516e::AttributeNotDefined,
-                                                        rti1516e::InvalidRegion,
-                                                        rti1516e::RegionNotCreatedByThisFederate,
-                                                        rti1516e::InvalidRegionContext,
-                                                        rti1516e::FederateNotExecutionMember,
-                                                        rti1516e::SaveInProgress,
-                                                        rti1516e::RestoreInProgress,
-                                                        rti1516e::NotConnected,
-                                                        rti1516e::RTIinternalError)
+    std::wstring const& /*updateRateDesignator*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"Not yet implemented");
@@ -2089,15 +1486,7 @@ void RTI1516ambassador::subscribeObjectClassAttributesWithRegions(
 // 9.9
 void RTI1516ambassador::unsubscribeObjectClassAttributesWithRegions(
     rti1516e::ObjectClassHandle /*theClass*/, rti1516e::AttributeHandleSetRegionHandleSetPairVector const&
-    /*theAttributeHandleSetRegionHandleSetPairVector*/) throw(rti1516e::ObjectClassNotDefined,
-                                                              rti1516e::AttributeNotDefined,
-                                                              rti1516e::InvalidRegion,
-                                                              rti1516e::RegionNotCreatedByThisFederate,
-                                                              rti1516e::FederateNotExecutionMember,
-                                                              rti1516e::SaveInProgress,
-                                                              rti1516e::RestoreInProgress,
-                                                              rti1516e::NotConnected,
-                                                              rti1516e::RTIinternalError)
+    /*theAttributeHandleSetRegionHandleSetPairVector*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"Not yet implemented");
@@ -2107,16 +1496,7 @@ void RTI1516ambassador::unsubscribeObjectClassAttributesWithRegions(
 void RTI1516ambassador::subscribeInteractionClassWithRegions(
     rti1516e::InteractionClassHandle /*theClass*/,
     rti1516e::RegionHandleSet const& /*theRegionHandleSet*/,
-    bool /*active*/) throw(rti1516e::InteractionClassNotDefined,
-                           rti1516e::InvalidRegion,
-                           rti1516e::RegionNotCreatedByThisFederate,
-                           rti1516e::InvalidRegionContext,
-                           rti1516e::FederateServiceInvocationsAreBeingReportedViaMOM,
-                           rti1516e::FederateNotExecutionMember,
-                           rti1516e::SaveInProgress,
-                           rti1516e::RestoreInProgress,
-                           rti1516e::NotConnected,
-                           rti1516e::RTIinternalError)
+    bool /*active*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"Not yet implemented");
@@ -2125,14 +1505,7 @@ void RTI1516ambassador::subscribeInteractionClassWithRegions(
 // 9.11
 void RTI1516ambassador::unsubscribeInteractionClassWithRegions(
     rti1516e::InteractionClassHandle /*theClass*/,
-    rti1516e::RegionHandleSet const& /*theRegionHandleSet*/) throw(rti1516e::InteractionClassNotDefined,
-                                                                   rti1516e::InvalidRegion,
-                                                                   rti1516e::RegionNotCreatedByThisFederate,
-                                                                   rti1516e::FederateNotExecutionMember,
-                                                                   rti1516e::SaveInProgress,
-                                                                   rti1516e::RestoreInProgress,
-                                                                   rti1516e::NotConnected,
-                                                                   rti1516e::RTIinternalError)
+    rti1516e::RegionHandleSet const& /*theRegionHandleSet*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"Not yet implemented");
@@ -2143,17 +1516,7 @@ void RTI1516ambassador::sendInteractionWithRegions(
     rti1516e::InteractionClassHandle /*theInteraction*/,
     rti1516e::ParameterHandleValueMap const& /*theParameterValues*/,
     rti1516e::RegionHandleSet const& /*theRegionHandleSet*/,
-    rti1516e::VariableLengthData const& /*theUserSuppliedTag*/) throw(rti1516e::InteractionClassNotDefined,
-                                                                      rti1516e::InteractionClassNotPublished,
-                                                                      rti1516e::InteractionParameterNotDefined,
-                                                                      rti1516e::InvalidRegion,
-                                                                      rti1516e::RegionNotCreatedByThisFederate,
-                                                                      rti1516e::InvalidRegionContext,
-                                                                      rti1516e::FederateNotExecutionMember,
-                                                                      rti1516e::SaveInProgress,
-                                                                      rti1516e::RestoreInProgress,
-                                                                      rti1516e::NotConnected,
-                                                                      rti1516e::RTIinternalError)
+    rti1516e::VariableLengthData const& /*theUserSuppliedTag*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"Not yet implemented");
@@ -2164,18 +1527,7 @@ rti1516e::MessageRetractionHandle RTI1516ambassador::sendInteractionWithRegions(
     rti1516e::ParameterHandleValueMap const& /*theParameterValues*/,
     rti1516e::RegionHandleSet const& /*theRegionHandleSet*/,
     rti1516e::VariableLengthData const& /*theUserSuppliedTag*/,
-    rti1516e::LogicalTime const& /*theTime*/) throw(rti1516e::InteractionClassNotDefined,
-                                                    rti1516e::InteractionClassNotPublished,
-                                                    rti1516e::InteractionParameterNotDefined,
-                                                    rti1516e::InvalidRegion,
-                                                    rti1516e::RegionNotCreatedByThisFederate,
-                                                    rti1516e::InvalidRegionContext,
-                                                    rti1516e::InvalidLogicalTime,
-                                                    rti1516e::FederateNotExecutionMember,
-                                                    rti1516e::SaveInProgress,
-                                                    rti1516e::RestoreInProgress,
-                                                    rti1516e::NotConnected,
-                                                    rti1516e::RTIinternalError)
+    rti1516e::LogicalTime const& /*theTime*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"Not yet implemented");
@@ -2185,16 +1537,7 @@ rti1516e::MessageRetractionHandle RTI1516ambassador::sendInteractionWithRegions(
 void RTI1516ambassador::requestAttributeValueUpdateWithRegions(
     rti1516e::ObjectClassHandle /*theClass*/,
     rti1516e::AttributeHandleSetRegionHandleSetPairVector const& /*theSet*/,
-    rti1516e::VariableLengthData const& /*theUserSuppliedTag*/) throw(rti1516e::ObjectClassNotDefined,
-                                                                      rti1516e::AttributeNotDefined,
-                                                                      rti1516e::InvalidRegion,
-                                                                      rti1516e::RegionNotCreatedByThisFederate,
-                                                                      rti1516e::InvalidRegionContext,
-                                                                      rti1516e::FederateNotExecutionMember,
-                                                                      rti1516e::SaveInProgress,
-                                                                      rti1516e::RestoreInProgress,
-                                                                      rti1516e::NotConnected,
-                                                                      rti1516e::RTIinternalError)
+    rti1516e::VariableLengthData const& /*theUserSuppliedTag*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"Not yet implemented");
@@ -2205,44 +1548,31 @@ void RTI1516ambassador::requestAttributeValueUpdateWithRegions(
 //////////////////////////
 
 // 10.2
-rti1516e::ResignAction RTI1516ambassador::getAutomaticResignDirective() throw(rti1516e::FederateNotExecutionMember,
-                                                                              rti1516e::NotConnected,
-                                                                              rti1516e::RTIinternalError)
+rti1516e::ResignAction RTI1516ambassador::getAutomaticResignDirective()
 {
     throw rti1516e::RTIinternalError(L"getAutomaticResignDirective Not Implemented");
 }
 
 // 10.3
-void RTI1516ambassador::setAutomaticResignDirective(rti1516e::ResignAction /*resignAction*/) throw(
-    rti1516e::InvalidResignAction,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::setAutomaticResignDirective(rti1516e::ResignAction /*resignAction*/)
 {
     throw rti1516e::RTIinternalError(L"setAutomaticResignDirective Not Implemented");
 }
 
 // 10.4
-rti1516e::FederateHandle RTI1516ambassador::getFederateHandle(std::wstring const& /*theName*/) throw(
-    rti1516e::NameNotFound, rti1516e::FederateNotExecutionMember, rti1516e::NotConnected, rti1516e::RTIinternalError)
+rti1516e::FederateHandle RTI1516ambassador::getFederateHandle(std::wstring const& /*theName*/)
 {
     throw rti1516e::RTIinternalError(L"getFederateHandle Not Implemented");
 }
 
 // 10.5
-std::wstring RTI1516ambassador::getFederateName(rti1516e::FederateHandle /*theHandle*/) throw(
-    rti1516e::InvalidFederateHandle,
-    rti1516e::FederateHandleNotKnown,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+std::wstring RTI1516ambassador::getFederateName(rti1516e::FederateHandle /*theHandle*/)
 {
     throw rti1516e::RTIinternalError(L"getFederateName Not Implemented");
 }
 
 // 10.2
-rti1516e::ObjectClassHandle RTI1516ambassador::getObjectClassHandle(std::wstring const& theName) throw(
-    rti1516e::NameNotFound, rti1516e::FederateNotExecutionMember, rti1516e::NotConnected, rti1516e::RTIinternalError)
+rti1516e::ObjectClassHandle RTI1516ambassador::getObjectClassHandle(std::wstring const& theName)
 {
     M_Get_Object_Class_Handle req, rep;
 
@@ -2260,10 +1590,7 @@ rti1516e::ObjectClassHandle RTI1516ambassador::getObjectClassHandle(std::wstring
 }
 
 std::wstring
-RTI1516ambassador::getObjectClassName(rti1516e::ObjectClassHandle theHandle) throw(rti1516e::InvalidObjectClassHandle,
-                                                                                   rti1516e::FederateNotExecutionMember,
-                                                                                   rti1516e::NotConnected,
-                                                                                   rti1516e::RTIinternalError)
+RTI1516ambassador::getObjectClassName(rti1516e::ObjectClassHandle theHandle)
 {
     M_Get_Object_Class_Name req, rep;
 
@@ -2284,10 +1611,7 @@ RTI1516ambassador::getObjectClassName(rti1516e::ObjectClassHandle theHandle) thr
 }
 
 rti1516e::ObjectClassHandle RTI1516ambassador::getKnownObjectClassHandle(
-    rti1516e::ObjectInstanceHandle theObject) throw(rti1516e::ObjectInstanceNotKnown,
-                                                    rti1516e::FederateNotExecutionMember,
-                                                    rti1516e::NotConnected,
-                                                    rti1516e::RTIinternalError)
+    rti1516e::ObjectInstanceHandle theObject)
 {
     M_Get_Object_Class req, rep;
 
@@ -2298,10 +1622,7 @@ rti1516e::ObjectClassHandle RTI1516ambassador::getKnownObjectClassHandle(
 
 // 10.10
 rti1516e::ObjectInstanceHandle
-RTI1516ambassador::getObjectInstanceHandle(std::wstring const& theName) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                              rti1516e::FederateNotExecutionMember,
-                                                                              rti1516e::NotConnected,
-                                                                              rti1516e::RTIinternalError)
+RTI1516ambassador::getObjectInstanceHandle(std::wstring const& theName)
 {
     M_Get_Object_Instance_Handle req, rep;
     std::string nameString(theName.begin(), theName.end());
